headless lms

Your own posts in a community, newest first

GET /api/member/communities/{communityId}/own-posts. Your own posts in a community, newest first. Headless LMS Posts API reference.

GET
/api/member/communities/{communityId}/own-posts

For a member of the community. Your posts in any status, drafts included, in the spaces you can open. 404 when you are not a member.

Path Parameters

communityId*string

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
pageSize?integer
Range1 <= value <= 100
Default20

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/member/communities/string/own-posts"
{  "rows": [    {      "orgId": "string",      "id": "string",      "communityId": "string",      "spaceId": "string",      "orgUserId": "string",      "topicId": "string",      "title": "string",      "body": "string",      "extra": null,      "coverAssetId": "string",      "status": "draft",      "scheduledAt": "2019-08-24T14:15:22Z",      "publishedAt": "2019-08-24T14:15:22Z",      "removedBy": "string",      "pinned": true,      "commentsClosed": true,      "reactionsEnabled": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "coverUrl": "string",      "author": {        "id": "string",        "firstName": "string",        "lastName": "string",        "displayName": "string",        "headline": "string",        "image": "string",        "imageAssetId": "string",        "imageUrl": "string",        "role": "owner"      },      "reactions": {        "property1": 0,        "property2": 0      },      "viewerReaction": "string",      "commentCount": 0,      "following": true,      "bookmarked": true    }  ],  "total": -9007199254740991,  "page": -9007199254740991,  "pageSize": -9007199254740991}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}